module app;

import gumballmachine;
import std.stdio : writeln;

void main()
{
    GumballMachine gumballMachine = new GumballMachine(2);

    writeln(gumballMachine);

    gumballMachine.insertQuarter();
    gumballMachine.turnCrank();

    writeln(gumballMachine);

    gumballMachine.insertQuarter();
    gumballMachine.turnCrank();
    gumballMachine.insertQuarter();
    gumballMachine.turnCrank();

    gumballMachine.refill(5);
    gumballMachine.insertQuarter();
    gumballMachine.turnCrank();

    writeln(gumballMachine);
}
